#! /usr/bin/env bash

CONF_PATH=`dirname $0`

if [ -z "$BUILD_DIR_64BIT" ]; then
    BUILD_DIR_64BIT=build64
fi

if [ -z "$2" ]; then
    flatpak-builder $1 --rebuild-on-sdk-change --arch=x86_64 "$BUILD_DIR_64BIT" "$CONF_PATH/Base-x86_64.yaml" || exit 1
else
    flatpak-builder $1 --rebuild-on-sdk-change --arch=x86_64 --gpg-sign=winebarrels@marko10-000.de "--repo=$2" "$BUILD_DIR_64BIT" "$CONF_PATH/Base-x86_64.yaml" || exit 1
fi